summaryrefslogtreecommitdiffstats
path: root/tools/ppc
diff options
context:
space:
mode:
authorStew Benedict <stewb@mandriva.org>2001-03-15 20:54:31 +0000
committerStew Benedict <stewb@mandriva.org>2001-03-15 20:54:31 +0000
commit864112d23d98039d2c335d4f3f7abac0a5b0d002 (patch)
tree51fa71d1818f79eb8b24891e640c60ff41f29b37 /tools/ppc
parent9fb1eafd99a675eef35331ae3f4aee1448d7de77 (diff)
downloaddrakx-backup-do-not-use-864112d23d98039d2c335d4f3f7abac0a5b0d002.tar
drakx-backup-do-not-use-864112d23d98039d2c335d4f3f7abac0a5b0d002.tar.gz
drakx-backup-do-not-use-864112d23d98039d2c335d4f3f7abac0a5b0d002.tar.bz2
drakx-backup-do-not-use-864112d23d98039d2c335d4f3f7abac0a5b0d002.tar.xz
drakx-backup-do-not-use-864112d23d98039d2c335d4f3f7abac0a5b0d002.zip
gi/tools/ppc/convert, magic, mapping, mkINSTALLCD, mkhybrid-1.12b5.4, yaboot: create PPC CD
Diffstat (limited to 'tools/ppc')
-rwxr-xr-xtools/ppc/convert5
-rwxr-xr-xtools/ppc/magic81
-rwxr-xr-xtools/ppc/mapping20
-rwxr-xr-xtools/ppc/mkINSTALLCD62
-rwxr-xr-xtools/ppc/mkhybrid-1.12b5.4bin0 -> 488623 bytes
-rw-r--r--tools/ppc/yabootbin0 -> 58556 bytes
6 files changed, 168 insertions, 0 deletions
diff --git a/tools/ppc/convert b/tools/ppc/convert
new file mode 100755
index 000000000..a2622c630
--- /dev/null
+++ b/tools/ppc/convert
@@ -0,0 +1,5 @@
+#!/bin/sh
+
+mv $1.orig $1.Unix
+tr "\n" "\r" < $1.Unix > $1.MacOS
+perl -e '@line = <>; $line = join("\r\n", split(/\n/, join("", @line))); print $line; print "\r\n";' < $1.Unix > $1.DOS
diff --git a/tools/ppc/magic b/tools/ppc/magic
new file mode 100755
index 000000000..387727c4e
--- /dev/null
+++ b/tools/ppc/magic
@@ -0,0 +1,81 @@
+#
+# Example magic file for mkhybrid
+#
+# The "message" for the offset MUST be 4 characters for the CREATOR
+# and 4 characters for the TYPE - white space is optional between them.
+# Any other characters on this line are ignored. Continuation lines (starting
+# with '>') are also ignored i.e. only the initial offset lines are used.
+#
+# The continuation lines are given here, but they do not need to exist.
+
+#
+# James Pearson 20/5/98
+
+# off type test message
+
+# GIF
+0 string GIF8 8BIM GIFf
+>4 string 7a \b, version 8%s,
+>4 string 9a \b, version 8%s,
+>6 leshort >0 %hd x
+>8 leshort >0 %hd,
+#>10 byte &0x80 color mapped,
+#>10 byte&0x07 =0x00 2 colors
+#>10 byte&0x07 =0x01 4 colors
+#>10 byte&0x07 =0x02 8 colors
+#>10 byte&0x07 =0x03 16 colors
+#>10 byte&0x07 =0x04 32 colors
+#>10 byte&0x07 =0x05 64 colors
+#>10 byte&0x07 =0x06 128 colors
+#>10 byte&0x07 =0x07 256 colors
+
+# JPEG images
+#
+0 ubeshort 0xffd8 8BIM JPEG image data
+
+# StuffIt
+#
+0 string SIT! SIT!SIT!
+
+# standard unix compress
+0 string \037\235 LZIV ZIVU
+>2 byte&0x80 >0 block compressed
+>2 byte&0x1f x %d bits
+
+# gzip (GNU zip, not to be confused with Info-ZIP or PKWARE zip archiver)
+0 string \037\213 GNUz ZIVU gzip compressed data
+>2 byte <8 \b, reserved method,
+>2 byte 8 \b, deflated,
+>3 byte &0x01 ASCII,
+>3 byte &0x02 continuation,
+>3 byte &0x04 extra field,
+>3 byte &0x08 original filename,
+>3 byte &0x10 comment,
+>3 byte &0x20 encrypted,
+>4 ledate x last modified: %s,
+>8 byte 2 max compression,
+>8 byte 4 max speed,
+>9 byte =0x00 os: MS-DOS
+>9 byte =0x01 os: Amiga
+>9 byte =0x02 os: VMS
+>9 byte =0x03 os: Unix
+>9 byte =0x05 os: Atari
+>9 byte =0x06 os: OS/2
+>9 byte =0x07 os: MacOS
+>9 byte =0x0A os: Tops/20
+>9 byte =0x0B os: Win/32
+
+# Postscript
+0 string %! ASPSTEXT
+>2 string PS-Adobe- conforming
+>>11 string >\0 at level %.3s
+>>>15 string EPS - type %s
+>>>15 string Query - type %s
+>>>15 string ExitServer - type %s
+# Some PCs have the annoying habit of adding a ^D as a document separator
+0 string \004%! ASPS TEXT PostScript document text
+>3 string PS-Adobe- conforming
+>>12 string >\0 at level %.3s
+>>>16 string EPS - type %s
+>>>16 string Query - type %s
+>>>16 string ExitServer - type %s
diff --git a/tools/ppc/mapping b/tools/ppc/mapping
new file mode 100755
index 000000000..2a32fb09c
--- /dev/null
+++ b/tools/ppc/mapping
@@ -0,0 +1,20 @@
+# Example filename mapping file
+#
+# EXTN XLate CREATOR TYPE Comment
+COPYING Ascii 'ttxt' 'ttro' "Text File"
+CREDITS Ascii 'ttxt' 'ttro' "Text File"
+README Ascii 'ttxt' 'ttro' "Text File"
+RPM-PGP-KEY Ascii 'ttxt' 'ttro' "Text File"
+.gif Raw '8BIM' 'GIFf' "Gif File"
+.jpg Raw '8BIM' 'JPEG' "Jpeg File"
+.tif Raw '8BIM' 'TIFF' "Photoshop TIFF image"
+.hqx Ascii 'BnHq' 'TEXT' "BinHex file"
+.doc Raw 'MSWD' 'WDBN' "Word file"
+.mov Raw 'TVOD' 'MooV' "QuickTime Movie"
+.html Ascii 'MOSS' 'TEXT' "HTML File"
+.htm Ascii 'MOSS' 'TEXT' "HTML File"
+.txt Ascii 'ttxt' 'TEXT' "Text File"
+.conf Ascii 'ttxt' 'TEXT' "config file"
+.tbxi Raw 'chrp' 'tbxi' "Macintosh Toolbox ROM file"
+.sea Raw 'aust' 'APPL' "Self Expanding Archive"
+* Raw '????' '????' "Unknown"
diff --git a/tools/ppc/mkINSTALLCD b/tools/ppc/mkINSTALLCD
new file mode 100755
index 000000000..e7e2d9052
--- /dev/null
+++ b/tools/ppc/mkINSTALLCD
@@ -0,0 +1,62 @@
+#
+# quick script to make bootable HFS CD for linux
+#
+#
+#!/bin/sh
+#
+#mkCD1 <CD tree> <output image name>
+#Parameters:
+
+if ! rpm -q hfsutils ; then
+ echo 'You need hfsutils installed!!'
+ exit 1
+fi
+
+if [ -e $2 ] ; then
+ echo 'Output image $2 exists, please delete'
+ echo 'usage: mkCD1 <CD tree> <output image name>'
+ exit 1
+fi
+
+if [ ! -d $1 ] ; then
+ echo 'CD tree $1 is not a directory!'
+ echo 'usage: mkCD1 <CD tree> <output image name>'
+ exit 1
+fi
+
+#Change these when you build the CD..
+ApplicationID="Linux-Mandrake"
+PublisherID="MandrakeSoft"
+PreparerID="sbenedict@mandrakesoft.com"
+SystemID=PPC
+volid=ppc
+hfsVolid=Linux-Mandrake
+curPwd=`pwd`
+
+$curPwd/mkhybrid-1.12b5.4 -part -hfs -r -l -J \
+-A $ApplicationID \
+-P $PublisherID \
+-p $PreparerID \
+-abstract "README" \
+-sysid $SystemID \
+-V $volid \
+-volset "Update" \
+-volset-size 2 \
+-volset-seqno 1 \
+-hfs-volid $hfsVolid \
+-map $curPwd/mapping \
+-magic $curPwd/magic \
+-m "*.orig" \
+-hide '*.MacOS' -hide '*.DOS' \
+-hide-joliet '*.Unix' -hide-joliet '*.MacOS' \
+-hide-hfs '*.Unix' -hide-hfs '*.DOS' \
+-pad \
+-o $2 \
+$1
+
+#Bless boot folder so yaboot can boot
+hmount $2
+hattrib -b boot
+hcd boot
+hattrib -t tbxi yaboot
+humount
diff --git a/tools/ppc/mkhybrid-1.12b5.4 b/tools/ppc/mkhybrid-1.12b5.4
new file mode 100755
index 000000000..0e0901314
--- /dev/null
+++ b/tools/ppc/mkhybrid-1.12b5.4
Binary files differ
diff --git a/tools/ppc/yaboot b/tools/ppc/yaboot
new file mode 100644
index 000000000..72b19b911
--- /dev/null
+++ b/tools/ppc/yaboot
Binary files differ